## org.eclipse.emf.cdo.server
Interface IView

All Superinterfaces:
  CDOCommonView, org.eclipse.net4j.util.collection.Closeable

All Known Subinterfaces:
  IAudit, ITransaction

    public interface IView

extends CDOCommonView

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Method Summary
`IRepository` `getRepository()`
`CDOID` `getResourceID(java.lang.String path)`
`ISession` `getSession()`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getTimeStamp, getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Method Detail

### getRepository

    IRepository getRepository()

  Since:
    2.0

### getSession

    ISession getSession()

  Specified by:
    `getSession` in interface `CDOCommonView`

### getResourceID

    CDOID getResourceID(java.lang.String path)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.